Bug 729460 - Periodically typed zeros to every text-field
Summary: Periodically typed zeros to every text-field
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 15
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-09 19:49 UTC by Maximilian Klein
Modified: 2012-07-11 17:49 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-07-11 17:49:41 UTC


Attachments (Terms of Use)
dmesg output, created when the zeros appear (90.70 KB, application/octet-stream)
2012-02-17 16:35 UTC, Maximilian Klein
no flags Details

Description Maximilian Klein 2011-08-09 19:49:56 UTC
Description of problem:
After a few hours using Fedora the system types a '0' nearly every second into every text-field (if selected). It seems that my keyboard is not solely causing the problem, unplugging it doesn't stop the zeros to be typed. Even after numerous reboots the system constantly types zeros (into the pw-field, even when I boot without any keyboard plugged in).


Version-Release number of selected component (if applicable):
kernel-2.6.38.8-35.fc15.x86_64


How reproducible:
Sorry I have no idea. After working for a while it appears.


Additional info:
I can fix the problem when I boot windows once and after that fedora again.

I'm using a Logitech K520 keyboard.

Comment 1 Dave Jones 2012-02-11 02:02:40 UTC
is there anything in dmesg when this occurs ?

This is the only report of anything like this that we've seen.

(Also, make sure you're running the latest kernel. 2.6.42 went live for f15 today)

Comment 2 Maximilian Klein 2012-02-17 16:35:25 UTC
Created attachment 563943 [details]
dmesg output, created when the zeros appear

I made a diff between a dmesg when the zeros appear and when its normal. There are no differences. I also installed Fedora 16 (installed it a few weeks ago..), same problem.

I added my dmesg output, there are a few errors, but I'm not able to find anything in there. 

I want to add, that the "windows trick" doesn't always work, but if I wait several minutes (without using my keyboard [and probably the mouse]) the zeros stop coming. It seems, that the faster I type something, the more zeros will come.

Comment 3 Dave Jones 2012-02-17 22:06:57 UTC
I'm at a loss to explain this. We've had no reports of anything similar that I recall (though it's entirely possible no other Fedora users are using that keyboard).

If there's nothing interesting in dmesg, there's not really much to go on.

Any possibility it could be radio interference ?

Comment 4 Maximilian Klein 2012-02-17 23:29:35 UTC
I never got this problem under Windows even after hours, but I just found out, that I have the same problem with Ubuntu. If I unplug the receiver of my keyboard, it doesn't stop. So I'm sure that it is no radio interference problem. 
I assume that it might be a problem with my mainboard..

Comment 5 Dave Jones 2012-04-11 14:33:06 UTC
when it happens, can you switch to a console (ctrl-alt-function key), and see if the zeros are happening there too ?

Also take a look in /var/log/Xorg.0.log to see if there's anything interesting there.

I'm wondering if X is missing the key-up events somehow.

Comment 6 Josh Boyer 2012-07-11 17:49:41 UTC
Fedora 15 has reached it's end of life as of June 26, 2012.  As a result, we will not be fixing any remaining bugs found in Fedora 15.

In the event that you have upgraded to a newer release and the bug you reported is still present, please reopen the bug and set the version field to the newest release you have encountered the issue with.  Before doing so, please ensure you are testing the latest kernel update in that release and attach any new and relevant information you may have gathered.

Thank you for taking the time to file a report.  We hope newer versions of Fedora suit your needs.


Note You need to log in before you can comment on or make changes to this bug.